Перейти к основному содержимому

Агенты

Операция
Метод
Путь
List agents (paginated)
GET
/agents
Get agent hardware ID
GET
/agents/{id}/hwid
Get agent license
GET
/agents/{id}/license
List all agents (no pagination)
GET
/agents/all
List dumps for a task
GET
/dumps/{taskId}
Download a dump file
GET
/dumps/download/{filename}
Request a fresh dump from an agent
GET
/dumps/request/{agentId}
Register or update an agent
POST
/agents
Upload agent license
POST
/agents/{id}/license
Trigger file sync for one agent
POST
/agents/{id}/sync
Upload a traffic dump
POST
/agents/dumps
Report dump-upload progress
POST
/agents/dumps/progress
Report agent file inventory
POST
/agents/report
Trigger file sync for all agents
POST
/agents/sync-all
Report file-sync progress
POST
/agents/sync-progress
Delete multiple agents
DELETE
/agents
Delete an agent
DELETE
/agents/{id}